package com.example.ueberwachungssystem;

import androidx.annotation.NonNull;
import androidx.appcompat.app.AppCompatActivity;
import androidx.camera.core.ExperimentalGetImage;
import androidx.camera.view.PreviewView;

import android.os.Bundle;
import android.view.View;
import android.widget.ImageView;
import android.widget.ToggleButton;

import com.example.ueberwachungssystem.Detection.DetectionReport;
import com.example.ueberwachungssystem.Detection.Detector;
import com.example.ueberwachungssystem.Detection.VideoDetector;

@ExperimentalGetImage
public class MainActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);


        ImageView inputImageView = findViewById(R.id.inputImageView);
        ImageView outputImageView = findViewById(R.id.outputImageView);
        PreviewView previewView = findViewById(R.id.previewView);


        VideoDetector vd = new VideoDetector(this);
        vd.setPreviewView(previewView);
        vd.debugProcessing(inputImageView, outputImageView);



        ToggleButton toggleButton = findViewById(R.id.toggleButton);
        toggleButton.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                if (toggleButton.isChecked())
                {
                    //vd.startDetection();
                    vd.startRecording();
                }
                else {
                    //vd.stopDetection();
                    vd.stopRecording();
                }
            }
        });
    }
}